Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class CaptchaTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.CaptchaTO

All Implemented Interfaces:
  Serializable

public class CaptchaTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`CaptchaTO()`
`CaptchaTO(String id, byte[] image)`

Method Summary
`boolean` | `equals(Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getId()` Gets the id value for this CaptchaTO.
`byte[]` | `getImage()` Gets the image value for this CaptchaTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setId(String id)` Sets the id value for this CaptchaTO.
`void` | `setImage(byte[] image)` Sets the image value for this CaptchaTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaptchaTO

    public CaptchaTO()

### CaptchaTO

    public CaptchaTO(String id,
                     byte[] image)

Method Detail

### getId

    public String getId()

  Gets the id value for this CaptchaTO.

  Returns:
    id

### setId

    public void setId(String id)

  Sets the id value for this CaptchaTO.

  Parameters:
    `id` -

### getImage

    public byte[] getImage()

  Gets the image value for this CaptchaTO.

  Returns:
    image

### setImage

    public void setImage(byte[] image)

  Sets the image value for this CaptchaTO.

  Parameters:
    `image` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD